Update a team configuration
curl --request PATCH \
--url https://api.coralogix.com/mgmt/openapi/4/cases/cases/team-configs/v1/configs/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"caseLifecycle": {
"autoResolve": {
"enabled": true,
"inactivePeriod": "3600s"
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"globalIndicatorSettings": {
"enabled": true,
"filteringConditions": [
{
"enabled": true,
"entityLabels": {
"all": {}
},
"priorities": {
"values": {
"items": []
}
}
}
]
},
"name": "SRE Team Config"
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/4/cases/cases/team-configs/v1/configs/{id}"
payload = {
"caseLifecycle": {
"autoResolve": {
"enabled": True,
"inactivePeriod": "3600s"
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"globalIndicatorSettings": {
"enabled": True,
"filteringConditions": [
{
"enabled": True,
"entityLabels": { "all": {} },
"priorities": { "values": { "items": [] } }
}
]
},
"name": "SRE Team Config"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseLifecycle: {
autoResolve: {enabled: true, inactivePeriod: '3600s'},
resolutionSnoozePeriod: '600s',
suppressionPeriod: '3600s'
},
globalIndicatorSettings: {
enabled: true,
filteringConditions: [{enabled: true, entityLabels: {all: {}}, priorities: {values: {items: []}}}]
},
name: 'SRE Team Config'
})
};
fetch('https://api.coralogix.com/mgmt/openapi/4/cases/cases/team-configs/v1/configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"teamConfig": {
"caseLifecycle": {
"autoResolve": {
"enabled": true,
"inactivePeriod": "3600s"
},
"resolutionSnoozePeriod": "600s",
"suppressionPeriod": "3600s"
},
"createTime": "2025-09-22T10:30:00.000Z",
"globalIndicatorSettings": {
"enabled": true,
"filteringConditions": [
{
"enabled": true,
"entityLabels": {
"all": {}
},
"priorities": {
"values": {
"items": []
}
}
}
]
},
"id": "3f166e9f-3c88-4af2-b52e-138f339dab3e",
"name": "Default Team Config",
"updateTime": "2023-11-07T05:31:56Z"
}
}Team Config Service
Update a team configuration
Update the display name and/or settings of an existing team configuration.
Requires the following permissions:
case-config:Update
Update a team configuration
Authorizations
API key authentication
Path Parameters
ID of the team configuration to update
Example:
"8c0c02a3-3c1c-4d56-9a2d-9f6ab6a4b321"
Body
application/json
Team-level configuration options for the lifecycle of case, such as suppression and snooze periods.
Show child attributes
Show child attributes
Team-level configuration options for case management, including case lifecycle and event filtering conditions.
Show child attributes
Show child attributes
New display name for the team configuration
Example:
"SRE Team Config"
Response
Team-level configuration entity for case management.
Show child attributes
Show child attributes
Was this page helpful?
⌘I